
QGIS Application - Bug report #21185

Vertex Editor Tool - Vertex List not working properly

2019-02-06 05:04 PM - Felipe  Souza

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 29003

Description

When using the Vertex Editor tool, and selecting one of the vertex, we can´t see which one of them are selected in the Vertex table list. 

It´s important to highlight which of the vertex is selected, so you can check if the coordinates are ok. QGIS 2.18 used to have that working

properly.

History

#1 - 2019-02-06 05:45 PM - Saber Razmjooei

- Status changed from Open to Feedback

With the latest changes, this issue should be addressed:

https://github.com/qgis/QGIS/pull/9087

It will hopefully be backported to the next LTR release.

#2 - 2019-02-07 11:21 AM - Giovanni Manghi

- Category changed from Editing to Digitising

#3 - 2019-02-25 04:15 PM - Steve Lowman

This is still broken in 3.4.5 and 3.6.

It should be 'Yes' for regression.

#4 - 2019-02-25 08:59 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

Steve Lowman wrote:

This is still broken in 3.4.5 and 3.6.

It should be 'Yes' for regression.

have you tested master?
https://github.com/qgis/QGIS/pull/9087


#5 - 2019-03-17 09:25 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Closing for lack of feedback (works here on recent installers). Please reopen if necessary.

#6 - 2019-03-18 12:53 PM - Steve Lowman

Okay, thanks. I tested the 3.4.5 nightly build on my local PC, and it is fixed. Then I did the same test on the LTR 3.4.5, where it was still broken before, and

now it works, so somehow, it seems like installing the 3.4.5 nightly build also incidentally fixed the proper LTR, even though there should have been no

change to that installation.

We mainly work on a Citrix application, where it is still broken, and I cannot ask our IT support to install the nightly build on there, so I will report back after

they upgrade there to 3.4.6 when it is released.

#7 - 2019-04-04 12:18 PM - Steve Lowman

I can report that in our Citrix QGIS 3.4.6 application, this is now fixed, but there is still a lesser bug where the vertices of a feature remain highlighted as

large red dots even after the Vertex Editor panel is closed or a different tool selected. The best work-around is to close the panel and then use the Vertex

Tool to right-click another feature in the same layer. This removes the vertex highlighting and re-opens the Vertex Editor panel, which can then be closed

again, but it is not an intuitive procedure.

I will test other instances of the application and seek other bug reports for this highlighting problem, but this #21185 report can remain closed as it is

resolved.
